package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.util.Objects;

/**
 * SnmpSettingOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SnmpSettingOpenApiVo   {
  @JsonProperty("snmpV1V2CEnable")
  private Boolean snmpV1V2CEnable;

  @JsonProperty("communityString")
  private String communityString;

  @JsonProperty("snmpV3Enable")
  private Boolean snmpV3Enable;

  @JsonProperty("username")
  private String username;

  @JsonProperty("password")
  private String password;

  public SnmpSettingOpenApiVo snmpV1V2CEnable(Boolean snmpV1V2CEnable) {
    this.snmpV1V2CEnable = snmpV1V2CEnable;
    return this;
  }

  /**
   * SNMPv1 & SNMPv2c enable status
   * @return snmpV1V2CEnable
  */
  @ApiModelProperty(required = true, value = "SNMPv1 & SNMPv2c enable status")
  @NotNull


  public Boolean getSnmpV1V2CEnable() {
    return snmpV1V2CEnable;
  }

  public void setSnmpV1V2CEnable(Boolean snmpV1V2CEnable) {
    this.snmpV1V2CEnable = snmpV1V2CEnable;
  }

  public SnmpSettingOpenApiVo communityString(String communityString) {
    this.communityString = communityString;
    return this;
  }

  /**
   * Community string, valid when parameter [snmpV1V2CEnable] is true. CommunityString should contain 1 to 64 characters
   * @return communityString
  */
  @ApiModelProperty(value = "Community string, valid when parameter [snmpV1V2CEnable] is true. CommunityString should contain 1 to 64 characters")

@Pattern(regexp="^[\\041\\043-\\076\\0100-\\0176]{1,64}$") 
  public String getCommunityString() {
    return communityString;
  }

  public void setCommunityString(String communityString) {
    this.communityString = communityString;
  }

  public SnmpSettingOpenApiVo snmpV3Enable(Boolean snmpV3Enable) {
    this.snmpV3Enable = snmpV3Enable;
    return this;
  }

  /**
   * SNMPv3 enable status
   * @return snmpV3Enable
  */
  @ApiModelProperty(required = true, value = "SNMPv3 enable status")
  @NotNull


  public Boolean getSnmpV3Enable() {
    return snmpV3Enable;
  }

  public void setSnmpV3Enable(Boolean snmpV3Enable) {
    this.snmpV3Enable = snmpV3Enable;
  }

  public SnmpSettingOpenApiVo username(String username) {
    this.username = username;
    return this;
  }

  /**
   * Username, valid when parameter [snmpV3Enable] is true. Username should contain 1 to 30 characters
   * @return username
  */
  @ApiModelProperty(value = "Username, valid when parameter [snmpV3Enable] is true. Username should contain 1 to 30 characters")

@Pattern(regexp="^[0-9a-zA-Z\\-\\_]{1,30}$") 
  public String getUsername() {
    return username;
  }

  public void setUsername(String username) {
    this.username = username;
  }

  public SnmpSettingOpenApiVo password(String password) {
    this.password = password;
    return this;
  }

  /**
   * Password, valid when parameter [snmpV3Enable] is true. Password should contain 1 to 32 characters
   * @return password
  */
  @ApiModelProperty(value = "Password, valid when parameter [snmpV3Enable] is true. Password should contain 1 to 32 characters")

@Pattern(regexp="^[\\041\\043-\\076\\0100-\\0133\\0135-\\0176]{8,32}$") 
  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SnmpSettingOpenApiVo snmpSettingOpenApiVo = (SnmpSettingOpenApiVo) o;
    return Objects.equals(this.snmpV1V2CEnable, snmpSettingOpenApiVo.snmpV1V2CEnable) &&
        Objects.equals(this.communityString, snmpSettingOpenApiVo.communityString) &&
        Objects.equals(this.snmpV3Enable, snmpSettingOpenApiVo.snmpV3Enable) &&
        Objects.equals(this.username, snmpSettingOpenApiVo.username) &&
        Objects.equals(this.password, snmpSettingOpenApiVo.password);
  }

  @Override
  public int hashCode() {
    return Objects.hash(snmpV1V2CEnable, communityString, snmpV3Enable, username, password);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SnmpSettingOpenApiVo {\n");
    
    sb.append("    snmpV1V2CEnable: ").append(toIndentedString(snmpV1V2CEnable)).append("\n");
    sb.append("    communityString: ").append(toIndentedString(communityString)).append("\n");
    sb.append("    snmpV3Enable: ").append(toIndentedString(snmpV3Enable)).append("\n");
    sb.append("    username: ").append(toIndentedString(username)).append("\n");
    sb.append("    password: ").append(toIndentedString(password)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

